﻿@page
@model IndexModel
@{
    ViewData["Title"] = "Profile";
    Layout = "_Layout";
}
<style>
    /* .container {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 100vh;
    } */

    .form-container {
        background-color: #f9f9f9;
        padding: 20px;
        border-radius: 10px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        max-width: 600px;
        width: 100%;
    }

    .form-group {
        margin-bottom: 20px;
    }

    .form-control {
        width: 100%;
        padding: 10px;
        font-size: 16px;
        border: 1px solid #ccc;
        border-radius: 4px;
    }

    .btn {
        padding: 10px 20px;
        font-size: 16px;
    }

    /* Định dạng tiêu đề và các thông báo lỗi */
    label, .text-danger {
        font-size: 18px;
        font-weight: bold;
    }

    label {
        padding-bottom: 5px;
    }
</style>
<div class="container">
    <div class="form-container">
        <form id="profile-form" method="post">
            <div class="row">
                <div class="col-md-8">
                    <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                    <label asp-for="Input.FullName">FullName</label>
                    <div class="form-group">
                        <input asp-for="Input.FullName" class="form-control" />
                        <span asp-validation-for="Input.FullName" class="text-danger"></span>
                    </div>
                    <label asp-for="Input.DateOfBirth">Date Of Birth</label>
                    <div class="form-group">
                        <input asp-for="Input.DateOfBirth" class="form-control" />
                        <span asp-validation-for="Input.DateOfBirth" class="text-danger"></span>
                    </div>
                    <label asp-for="Input.DrivingLicense">Driving License</label>
                    <div class="form-group">
                        <input asp-for="Input.DrivingLicense" class="form-control" />
                        <span asp-validation-for="Input.DrivingLicense" class="text-danger"></span>
                    </div>
                    <label asp-for="Input.PhoneNumber">Phone Number</label>
                    <div class="form-group">
                        <input asp-for="Input.PhoneNumber" class="form-control" />
                        <span asp-validation-for="Input.PhoneNumber" class="text-danger"></span>
                    </div>
                    <br />
                    <div class="form-group" style="text-align: center">
                        <button id="update-profile-button" type="submit" class="btn btn-primary">Update</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
